%define name ploticus
%define version 2.10
%define release 1mdk

%define filever 210

Summary: Graph/plot generator
Name: %{name}
Version: %{version}
Release: %{release}
Source: plsrc%filever.tar.bz2
Url: http://ploticus.sourceforge.net/
License: GPL
Group: Publishing
Requires: libpng zlib libgd2 gd-utils libpng
BuildRequires: libgd2-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
PLOTICUS is a popular command line utility for creating graphs and plots
that may be presented in Web pages, printed reports, slides, posters, or
interactively. It can produce pie, bar, line, boxplot, scatterplot,
sweep, and other types of plots. Colors and appearance details are very
configurable. PLOTICUS can handle date and time data in a variety of
formats in addition to numeric and alphanumeric data. It is suitable for
on-demand plotting, CGI, etc. It accepts ASCII or comma-spearated (.csv)
files and can output to GIF, PNG, SVG, JPEG, WBMP, PostScript, EPS, or
interactively via X11. Some statistical capabilities such as linear
regression and curve fitting are included.

NOTE: the executable name is: pl

%prep
%setup -q -n plsrc%filever

%build
cd src
make XLIBS="-L/usr/X11R6/lib -lX11" XINCLUDEDIR="-I/usr/X11R6/include" GD18LIBS="-lgd -lpng -lz -ljpeg -lfreetype" GD18H="" GDFREETYPE="-DGDFREETYPE" ZFLAG="-DWZ" PREFABS_DIR=/usr/share/ploticus LOCALEOBJ=localef.o LOCALE_FLAG="-DLOCALE" plgd18

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
mv src/pl $RPM_BUILD_ROOT/%_bindir
cp prefabs/* $RPM_BUILD_ROOT/%_datadir/%name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* README
%_bindir/pl
%_datadir/%name

%changelog
* Fri Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.10-1mdk
- from Austin Acton <aacton@yorku.ca> : 
	- initial package
